// Copyright 2004 Paul Milenkovic, 118 Shiloh Dr., Madison, WI 53705 U.S.A.

#define _USE_MATH_DEFINES
#include "VocFilt.h"

LIBEXPORT void STDCALL SetTrackI(IFilterFactory** f)
{
	*f = new SetTrackFactory();
	(*f)->AddRef();
}

LIBEXPORT void STDCALL BeamPelI(IFilterFactory** f)
{
	*f = new BeamPelFactory();
	(*f)->AddRef();
}

LIBEXPORT void STDCALL BeamDataI(IFilterFactory** f)
{
	*f = new BeamDataFactory();
	(*f)->AddRef();
}

LIBEXPORT void STDCALL GlotSynI(IFilterFactory** f)
{
    *f = new GlotSynFactory();
    (*f)->AddRef();
}

LIBEXPORT void STDCALL FricSynI(IFilterFactory** f)
{
    *f = new FricSynFactory();
    (*f)->AddRef();
}

LIBEXPORT void STDCALL PulseSynI(IFilterFactory** f)
{
    *f = new PulseSynFactory();
    (*f)->AddRef();
}

LIBEXPORT void STDCALL FIRFilterI(IFilterFactory** f)
{
	*f = new FIRFactory();
	(*f)->AddRef();
}

LIBEXPORT void STDCALL FIRNotchI(IFilterFactory** f)
{
	*f = new FIRNotchFactory();
	(*f)->AddRef();
}

LIBEXPORT void STDCALL ResampleI(IFilterFactory** f)
{
    *f = new ResampleFactory();
    (*f)->AddRef();
}

LIBEXPORT void STDCALL SumSourcesI(IFilterFactory** f)
{
	*f = new SumSourcesFactory();
	(*f)->AddRef();
}

LIBEXPORT void STDCALL EchoCancelI(IFilterFactory** f)
{
    *f = new EchoCancelFactory();
    (*f)->AddRef();
}

LIBEXPORT void STDCALL SineGenI(IFilterFactory** f)
{
	*f = new SineFactory();
	(*f)->AddRef();
}

LIBEXPORT void STDCALL SquareGenI(IFilterFactory** f)
{
	*f = new SquareFactory();
	(*f)->AddRef();
}
